Bug 1475537

Summary: python2-debuginfo conflicts with python-debuginfo
Product: [Fedora] Fedora Reporter: Zbigniew Jędrzejewski-Szmek <zbyszek>
Component: python2Assignee: Charalampos Stratakis <cstratak>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: bkabrda, cstratak, dmalcolm, mcyprian, mhroncok, pviktori, rkuska, tomspur, torsava
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-25 13:12:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Zbigniew Jędrzejewski-Szmek 2017-07-26 20:59:06 UTC
Description of problem:
I guess an Obsoletes is missing.

$ sudo dnf debuginfo-install python2-2.7.13-11.fc26.x86_64
...
  file /usr/lib/debug/usr/lib64/python2.7/lib-dynload/zlibmodule.so.debug from install of python2-debuginfo-2.7.13-11.fc26.x86_64 conflicts with file from package python-debuginfo-2.7.10-8.fc23.x86_64
  file /usr/lib/debug/usr/lib64/python2.7/lib-dynload/zlibmodule_d.so.debug from install of python2-debuginfo-2.7.13-11.fc26.x86_64 conflicts with file from package python-debuginfo-2.7.10-8.fc23.x86_64
...

Actual results:
Debuginfo installation command suggested by gdb does not work.

Comment 1 Miro Hrončok 2017-07-27 05:47:17 UTC
Any idea how to add obsoletes to a debuginfo package?

Comment 2 Zbigniew Jędrzejewski-Szmek 2017-07-27 11:05:33 UTC
I had the same question after submitting ;) I think it'd be reasonable to just add the Obsoletes to main package. In practice the number of people who need to install such old debuginfo is probably zero.

Comment 3 Petr Viktorin 2018-01-25 13:12:30 UTC
A valid bug, but I don't think it's worth fixing.